[Beta] Get bill upload processing status
curl --request POST \
--url https://api.example.com/v1/homes/bill-upload/{id}/status \
--header 'x-ws-api-key: <api-key>'import requests
url = "https://api.example.com/v1/homes/bill-upload/{id}/status"
headers = {"x-ws-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-ws-api-key': '<api-key>'}};
fetch('https://api.example.com/v1/homes/bill-upload/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ws_home_123456789",
"status": "completed",
"utilityId": "12199",
"ratePlanId": "6915de25881cbc6041e4c7f1",
"pendingReason": null,
"failureReason": null,
"warnings": [
"BILL_PDF_DROPPED:https://example.com/bills/february.pdf:FILE_TOO_LARGE"
]
}homes
[Beta] Get bill upload processing status
POST
/
v1
/
homes
/
bill-upload
/
{id}
/
status
[Beta] Get bill upload processing status
Authorizations
x-ws-api-keyx-ws-api-key
WattShift API key
Headers
WattShift API Key
Path Parameters
⌘I
